﻿@model Jumbula.Core.Model.Order.OrderItemsViewModel
@{
    Layout = null;
}

<style>
    .notallowed {
        cursor: not-allowed !important;
    }
</style>
<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1 ng-if="Model.HasInstallments">
                Refund installment
            </h1>
            <h1 ng-if="!Model.HasInstallments">
                Refund order
            </h1>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <div ng-include="'/Dashboard/Order/GetView/_OrderInformation'"></div>
    <br />

    <div class="clearfix"></div>
    <div id="paymentHistory" ng-if="Model.HasTransactions && !Model.HasInstallments && !Model.HasAddOnInstallments">
        @*for full paid*@
        <fieldset>
            <legend>Payment history </legend>
            <kendo-grid id="orderItemTransactions" options="orderItemTransactionsGridOptions"></kendo-grid>
        </fieldset>
    </div>
    <div class="clearfix"></div>

    <div ng-if="Model.HasAddOnInstallments">
        <fieldset style="margin-bottom: 0px !important;">
            <legend>Refund for add-on charges</legend>
            <label>Select the charge you want to refund for</label>
            <span class="place-right program-days-error">@Html.AngValidation("selectedInstallment")</span>
            <div id="orderInstallment">
                <table class="table hovered display-dots-on-hover" style="word-wrap:break-word; table-layout: fixed;">
                    <colgroup>
                        <col style="width:35px;" />
                    </colgroup>
                    <thead>
                        <tr>
                            <th class="text-left"></th>
                            <th class="text-left" ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'">Schedule</th>
                            <th class="text-left">Due date</th>
                            <th class="text-left">Paid date</th>
                            <th class="text-left">Amount</th>
                            <th class="text-left">Paid</th>
                            <th class="text-left">Balance</th>
                            <th class="text-left">Status</th>
                        </tr>
                    </thead>
                    <tbody>

                        <tr ng-repeat="inst in Model.AddOnInstallments">
                            <td>
                                <div class="input-control checkbox default-style place-left no-margin padding-right50" data-role="input-control" ng-show="inst.RefundAmount >0 ">
                                    <label class="block">
                                        <input ng-model="inst.IsSelected" name="instSelected" type="checkbox" ng-change="calculateBalance(inst)" />
                                        <span class="check"></span>
                                    </label>
                                </div>
                            </td>
                            <td ng-class="{'line-through' : inst.IsDeleted}" ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'">{{inst.SchedulePart}}</td>
                            <td ng-class="{'line-through' : inst.IsDeleted}">{{inst.InstallmentDueDate}}</td>
                            <td>{{inst.StrPaidDate}}</td>
                            <td>{{inst.StrAmount}}</td>
                            <td>{{inst.StrPaidAmount}}</td>
                            <td>{{inst.StrBalance}}</td>
                            <td>{{inst.InstallmentStatus}}</td>


                        </tr>
                    </tbody>
                </table>

            </div>


        </fieldset>
    </div>

    <div ng-if="Model.HasInstallments">
        <fieldset style="margin-bottom: 0px !important;">
            <legend>Refund for installments</legend>
            <label>Select the installment you want to refund for</label>
            <span class="place-right program-days-error">@Html.AngValidation("selectedInstallment")</span>
            <div id="orderInstallment">
                <table class="table hovered display-dots-on-hover" style="word-wrap:break-word; table-layout: fixed;">
                    <colgroup>
                        <col style="width:35px;" />
                    </colgroup>
                    <thead>
                        <tr>
                            <th class="text-left"></th>
                            <th class="text-left" ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'">Schedule</th>
                            <th class="text-left">Due date</th>
                            <th class="text-left">Paid date</th>
                            <th class="text-left">Amount</th>
                            <th class="text-left">Paid</th>
                            <th class="text-left">Balance</th>
                            <th class="text-left">Status</th>
                        </tr>
                    </thead>
                    <tbody>

                        <tr ng-repeat="inst in Model.Installments">
                            <td>
                                <div class="input-control checkbox default-style place-left no-margin padding-right50" data-role="input-control" ng-show="inst.RefundAmount >0 ">
                                    <label class="block">
                                        <input ng-model="inst.IsSelected" name="instSelected" type="checkbox" ng-change="calculateBalance(inst)" />
                                        <span class="check"></span>
                                    </label>
                                </div>
                            </td>
                            <td ng-class="{'line-through' : inst.IsDeleted}" ng-if="Model.ProgramType == 'Subscription' || Model.ProgramType == 'BeforeAfterCare'">{{inst.SchedulePart}}</td>
                            <td ng-class="{'line-through' : inst.IsDeleted}">{{inst.InstallmentDueDate}}</td>
                            <td>{{inst.StrPaidDate}}</td>
                            <td>{{inst.StrAmount}}</td>
                            <td>{{inst.StrPaidAmount}}</td>
                            <td>{{inst.StrBalance}}</td>
                            <td>{{inst.InstallmentStatus}}</td>


                        </tr>
                    </tbody>
                </table>

            </div>


        </fieldset>
    </div>

    <div class="clearfix"></div>
    <div id="paymentHistory" ng-if="ShowTransactions">
        @*for when the Installment is selected*@
        <fieldset>
            <legend>Payment history </legend>
            <kendo-grid id="installmentTransactions" options="installmentTransactionsGridOptions"></kendo-grid>
        </fieldset>
    </div>

    <div>
        <div ng-repeat="item in Model.RefundModes" ng-init="sbIndex = $index">
            <div class="input-control" data-role="input-control">
                <label class="block" ng-class="{ notallowed : item.MaxAmount == 0}">

                    <input ng-model="item.IsSelected" ng-name="item.Title" id="amountSelected" type="checkbox" ng-class="{ notallowed : item.MaxAmount == 0}" ng-disabled="item.MaxAmount == 0" />
                    <span class="check"></span>
                    {{item.Title}}
                    <span>
                        (enter an amount up to <span class="fg-red ng-binding" id="max-amount">{{item.MaxAmount.formatCurrencyWithPenny(2)}}</span>)
                    </span>
                </label>
            </div>
            <div class="input-control text price place-left two-third" data-role="input-control" data-sign="$" @Html.AngValidationClass("RefundModes['+sbIndex+'].Amount")>
                <input ng-disabled="!item.IsSelected" ng-model="item.Amount" type="text" ng-class="{ notallowed : item.MaxAmount == 0}" @Html.AngTooltipValidation("RefundModes['+sbIndex+'].Amount") />
            </div>
            <div class="clearfix"></div>
            <br />
        </div>

        <label>Reason for refund</label>
        <div class="input-control text two-third" data-role="input-control" @Html.AngValidationClass("CustomRefund.Name")>
            <input ng-model="Model.CustomRefund.Name" type="text" @Html.AngTooltipValidation("CustomRefund.Name") />
        </div>

    </div>

    @*<div ng-show="!Model.HasInstallments">
        <label class="req-star">Refund amount</label>
        <div class="input-control text price place-left two-third" data-role="input-control" data-sign="$" @Html.AngValidationClass("CustomRefund.Amount")>
            <input ng-model="Model.CustomRefund.Amount" type="text" @Html.AngTooltipValidation("CustomRefund.Amount") />
        </div>
        <div class="clearfix"></div>

        <label>Reason for refund</label>
        <div class="input-control text two-third" data-role="input-control" @Html.AngValidationClass("CustomRefund.Name")>
            <input ng-model="Model.CustomRefund.Name" type="text" @Html.AngTooltipValidation("CustomRefund.Name") />
        </div>

        <div class="clearfix"></div>


        <label>How would you like to issue the refund?</label>
        <div class="input-control radio">
            <div class="input-control radio show default-style no-margin padding-right50 block" data-role="input-control">
                <label class="block">
                    <input ng-model="@Html.Ang(m => m.RefundMode)" name="isAllProgram" ng-checked="Model.RefundMode == 'Automatically'" ng-value="'Automatically'" type="radio" />
                    <span class="check"></span>
                    Issue the refund automatically
                </label>
            </div>
            <div class="input-control radio show default-style no-margin padding-right50 block" data-role="input-control">
                <label class="block">
                    <input ng-model="@Html.Ang(m => m.RefundMode)" name="isAllProgram" ng-checked="Model.RefundMode == 'Manually'" ng-value="'Manually'" checked type="radio" />
                    <span class="check"></span>
                    My organization will issue the refund manually
                </label>
            </div>

            <div class="input-control radio show default-style no-margin padding-right50 block" data-role="input-control">
                <label class="block">
                    <input ng-model="@Html.Ang(m => m.RefundMode)" name="isAllProgram" ng-checked="Model.RefundMode == 'AddToCredit'" ng-value="'AddToCredit'" type="radio" />
                    <span class="check"></span>
                    Transfer the balance to the family credit
                </label>
            </div>

        </div>
        <div class="clearfix"></div>
    </div>*@

    <hr />

    <button type="button" class="success place-right large button" data-ng-click="confirmCancellation()" ng-disabled="" id="refundContinue" ng-hide="Model.Status=='canceled'">Continue</button>

    <button type="button" class="link place-left large button" data-ng-click="cancelAction()">Cancel</button>

    <div class="clearfix"></div>

</div>

